const request = require('../utils/request')

module.exports={
  //根据手机号登录 
	loginByPhone:(data)=>{
		return request.post('/xiaoshi-weixinback/account/loginByPhone',data)
  },
  //微信一键登录
  loginByWeChat:(data)=>{
		return request.post('/xiaoshi-weixinback/account/loginByWeChat',data)
  },
  //发送验证码
  sendCode:(data)=>{
		return request.post('/xiaoshi-weixinback/account/sendCode',data)
  },
  //获取检验码
  verifyCode:(data)=>{
		return request.post('/xiaoshi-weixinback/account/verifyCode',data)
  },
  //退出登录接口
  logout:(data)=>{
		return request.post('/xiaoshi-weixinback/account/logout',data)
  },
  
  //获取会员权益
  getVipRights:(data)=>{
		return request.get('/xiaoshi-weixinback/vip/getVipRights',data)
  },
  //获取用户会员权益
  getPersonRights:(data,isLogin=true)=>{
		return request.get('/xiaoshi-weixinback/vip/getPersonRights',data,isLogin)
  },
}